
-- Desert Island ( a LOVE2D Project )
-- 2013, Lars L. ( MadByte )

FONT_SMALL				= love.graphics.newFont( "gfx/font.ttf", 10 )
FONT_NORMAL				= love.graphics.newFont( "gfx/font.ttf", 15 )
FONT_MEDIUM				= love.graphics.newFont( "gfx/font.ttf", 28 )
FONT_LARGE				= love.graphics.newFont( "gfx/font.ttf", 56 )

WIDTH, HEIGHT			= love.graphics.getMode()
VERSION					= "0.0.1 - Work in Progress"

ut							= require 'source.utils'
mainmenu					= require 'source.states.mainmenu'
game						= require 'source.states.game'
console				= require 'source.console'
local State


function setState( state )
	if State then State:leave() end
	State = state
	if not State.loaded then
		State:init()
		State.loaded = true
	end
	State:enter()
end


function love.load()
	-- Set background color
	love.graphics.setBackgroundColor( 150, 180, 200 )
	-- Load all images
	ut.loadImages()
	-- Starts the console
	console:init()
	-- Change the state
	setState( mainmenu )
end


function love.update(dt)
	State:update(dt)
	console:update(dt)
end


function love.draw()

	love.graphics.setFont( FONT_NORMAL )
	love.graphics.setColor( 255, 255, 255 )
	love.graphics.print( "FPS: ".. love.timer.getFPS(), 10, 10 )
	
	State:draw()
	console:draw()
	
end


function love.keypressed(k)
	State:keypressed(k)
	console:keypressed(k)
	if k == "tab" then console:switch() end
end


function love.mousereleased(x, y, b)
	if State.mousereleased then State:mousereleased(x, y, b) end
end


function love.focus(f)
end


function love.exit()
end