require 'source.classlib'
local atl = require 'source.states.game.atl.loader'
atl.path = 'maps/'

Map = class()

function Map:__init(file, p)
	self.player = p
	self.obj = atl.load(file)
	self.obj:setDrawRange(0,0,love.graphics.getWidth(), love.graphics.getHeight())
	self.mx = 0
	self.my = 0
end

function Map:draw()
	love.graphics.push()
	love.graphics.translate(-self.mx, -self.my)
	self.obj:autoDrawRange(-self.mx, -self.my, 1, 0)
	self.obj:draw()
	self.player:draw()
	love.graphics.pop()
end

function Map:update(dt)
	self.player:update(dt)
	self.mx, self.my = self.player:getMovement()
end

function Map:destroy()
	self = nil
end