

local world = {}


function world:new()
	local self = setmetatable( {}, self )
	self.objects = {}
	return self
end


function world:add( e )
	table.insert( self.objects, e )
end


function world:update(dt)
	for i,v in ipairs( self.objects ) do
		if not v.removed then
			v:update(dt)
		else
			table.remove( self.objects, i )
		end
	end
end


function world:draw()
	for i,v in ipairs( self.objects ) do
		v:draw()
	end
end


return world